idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | Safe-Inferred
Language | Haskell2010

Idris.Help

Description

Synopsis

- data CmdArg
  - = ExprArg
  - | NameArg
  - | FileArg
  - | ShellCommandArg
  - | ModuleArg
  - | PkgArgs
  - | NumberArg
  - | NamespaceArg
  - | OptionArg
  - | MetaVarArg
  - | ColourArg
  - | NoArg
  - | SpecialHeaderArg
  - | ConsoleWidthArg
  - | DeclArg
  - | ManyArgs CmdArg
  - | OptionalArg CmdArg
  - | SeqArgs CmdArg CmdArg
- extraHelp :: [([String], CmdArg, String)]

# Documentation

data CmdArg #

Constructors

ExprArg | The command takes an expression
NameArg | The command takes a name
FileArg | The command takes a file
ShellCommandArg | The command takes a shell command name
ModuleArg | The command takes a module name
PkgArgs | The command takes a list of package names
NumberArg | The command takes a number
NamespaceArg | The command takes a namespace name
OptionArg | The command takes an option
MetaVarArg | The command takes a metavariable
ColourArg | The command is the colour-setting command
NoArg | No completion (yet!?)
SpecialHeaderArg | do not use
ConsoleWidthArg | The width of the console
DeclArg | An Idris declaration, as might be contained in a file
ManyArgs CmdArg | Zero or more of one kind of argument
OptionalArg CmdArg | Zero or one of one kind of argument
SeqArgs CmdArg CmdArg | One kind of argument followed by another

#### Instances

Instances details

Show CmdArg # |
Instance details Defined in Idris.Help Methods showsPrec :: Int -> CmdArg -> ShowS # show :: CmdArg -> String # showList :: [CmdArg] -> ShowS #

extraHelp :: [([String], CmdArg, String)] #

Use these for completion, but don't show them in :help